# Troubleshooting: FAQ

The following section has common solutions for issues you may run into when deploying Xand.

## Error in parsing validator logs: fatal: [validator-toolchain]: FAILED! => {}

If you run into a similar error to the following while running a deployment playbook:

```bash
MSG:

the field 'args' has an invalid value ({'validator_filtered_logs': "{{ validator_logs_replaced  | map('from_json') | selectattr('message', 'contains', 'Idle') }}"}), and could not be converted to an dict.The error was: Expecting value: line 1 column 1 (char 0)

The error appears to be in '/home/user/xand_deployment_folder/ansible/roles/xand-node/tasks/get_validator_logs.yml': line 62, column 3, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:

# and then filter each object where message contains the word Idle.
- set_fact:
  ^ here
```

**Re-run the playbook. This is a known issue with parsing logs.**

## AKS timed out on cluster creation

While deploying using AKS, if you run into an error that AKS has timed out on cluster creation, in rare cases you may then run into a second error when attempting to re-run the playbook:

```bash
Terraform unable to rerun after since the cluster already exists.
```

**This error is due to a rare timing issue in AKS deployment that causes infrastructure to be deployed but not tracked by our deployment systems. Please contact Transparent Financial Systems to help resolve the issue.**
